[PC-BSD Commits] r1015 - pbibuild/modules/tellico/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Dec 13 14:54:12 PST 2007
Author: gonzalo
Date: 2007-12-13 14:54:12 -0800 (Thu, 13 Dec 2007)
New Revision: 1015
Modified:
pbibuild/modules/tellico/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.
Modified: pbibuild/modules/tellico/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/tellico/overlay-dir/PBI.RemoveScript.sh 2007-12-13 22:52:45 UTC (rev 1014)
+++ pbibuild/modules/tellico/overlay-dir/PBI.RemoveScript.sh 2007-12-13 22:54:12 UTC (rev 1015)
@@ -26,15 +26,19 @@
rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
done
-cd /home
- for i in `ls`
- do
- if [ -d "/home/${i}/.kde/share/apps/tellico" ]
- then
- kdialog --title "Uninstalling Tellico!" --yesno "Do you want to delete this PBI completely?\nIf you answer 'Yes', configuration files and all information located in /home/${i}/.kde/share/apps/tellico will be erased."
- if [ "$?" = "0" ]
- then
- rm -fR /home/${i}/.kde/share/apps/tellico
- fi
- fi
- done
\ No newline at end of file
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Tellico user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.kde/share/apps/tellico" ]
+ then
+ rm -rf /home/${i}/.kde/share/apps/tellico
+ fi
+ done
+ fi
+fi
More information about the Commits
mailing list